#include<bits/stdc++.h>
using namespace std;

const int N = 1000005;
long long int n,x,a[N],res=0;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	cin >> n >> x;
	for(int i=0;i<n;i++)cin >> a[i];
	sort(a,a+n);

	if(a[0]>=x)
    {
        cout << a[n-1] - x;
        return 0;
    }
	if(a[n-1]<=x)
    {
        cout << x - a[0];
        return 0;
    }

    res = (a[n-1]-x)*2 + x - a[0];
    res = min(res,(x-a[0])*2 + a[n-1] - x);
    cout << res;


    return 0;

}